> For the complete documentation index, see [llms.txt](https://docs.chatlayer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatlayer.ai/chatlayer-documentation-pt-br/channels/sinch-conversation-api-beta.md).

# Sinch Conversation API

A Sinch Conversation API permite conectar o Chatlayer.ai a vários canais ao mesmo tempo.

Você não precisa pensar em qual tipo de mensagem funciona em qual canal – o **Sinch Conversation API** transcodifica as mensagens automaticamente para corresponder ao canal de destino. Fácil, fácil!

## Canais suportados

Você encontrará uma lista completa dos canais suportados pela Sinch Conversation API em [aqui](https://developers.sinch.com/docs/conversation/channel-support/).

<details>

<summary>Como lidar com variáveis entre canais</summary>

Se vários canais estiverem conectados ao seu app da Conversation API, pode ser útil poder enviar um fluxo específico dependendo do canal em que o usuário do bot está. Para fazer isso, você pode usar o `internal.sinchConversationAPI.channelIdentifier` [variável](/chatlayer-documentation-pt-br/navegacao/settings/secure-variables-gdpr.md).

Os valores possíveis para o canal são:

```
internal.sinchConversationAPI.channelIdentifier: 
"CHANNEL_UNSPECIFIED"
"WHATSAPP"
"RCS"
"SMS"
"MESSENGER"
"VIBER"
"VIBERBM"
"MMS"
"TELEGRAM"
"LINE"
"INSTAGRAM"
```

Além disso, há algumas outras variáveis que armazenam dados vindos da Sinch Conversation API que podem ser úteis para orientar seu fluxo:

```
internal.sinchConversationAPI.channelIdentity: 'USER_PHONE_NUMBER_OR_ID',
internal.sinchConversationAPI.contactId: 'CONTACT_ID_CONV_API',
internal.sinchConversationAPI.appId: 'APP_ID_CONV_API',
internal.sinchConversationAPI.conversationId: 'CONVERSATION_ID_CONV_API',
internal.sinchConversationAPI.metadata: string or key + value pair
```

Você pode aprender mais sobre como usar variáveis para orientar seu fluxo [aqui](/chatlayer-documentation-pt-br/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md).

</details>

{% hint style="warning" %}
Lembre-se de que canais diferentes aceitam diferentes [tipos de mensagem](https://developers.sinch.com/docs/conversation/message-types/).
{% endhint %}

## Artigos relacionados

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-cover data-type="files"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><a href="/chatlayer-documentation-pt-br/channels/sinch-conversation-api-beta/configure-your-sinch-conversation-api.md"><strong>Configure sua Sinch Conversation API</strong></a></td><td></td><td></td><td><a href="https://181262846-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LLTwFwbOqJj4dDhg8Ju%2Fuploads%2FL9sFHLThvqHAKEljsSWi%2FScreenshot%202024-11-29%20at%2012.24.51.png?alt=media&amp;token=aff022c8-c18a-405a-b67a-75791f32a87b">Screenshot 2024-11-29 at 12.24.51.png</a></td><td><a href="/chatlayer-documentation-pt-br/channels/sinch-conversation-api-beta/configure-your-sinch-conversation-api.md">Configure sua Sinch Conversation API</a></td></tr><tr><td><a href="/chatlayer-documentation-pt-br/channels/sinch-conversation-api-beta/make-the-most-of-rcs-with-carousels.md"><strong>Aproveite ao máximo o RCS com carrosséis</strong></a></td><td></td><td></td><td><a href="https://181262846-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LLTwFwbOqJj4dDhg8Ju%2Fuploads%2FI4ZhlTdJLbPm8SbCA89e%2FScreenshot%202025-01-02%20at%2011.54.04.png?alt=media&amp;token=4fe4bd40-6949-45c3-988c-0d2e38c648f9">Screenshot 2025-01-02 at 11.54.04.png</a></td><td></td></tr><tr><td><a href="/chatlayer-documentation-pt-br/channels/sinch-conversation-api-beta/whatsapp.md"><strong>API do WhatsApp Business</strong></a></td><td></td><td></td><td><a href="https://181262846-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LLTwFwbOqJj4dDhg8Ju%2Fuploads%2F7859a2Q5eHh9YOtyZrwa%2FWhatsApp.svg.png?alt=media&amp;token=83b0baae-bf8b-4df3-a795-923e12d4c809">WhatsApp.svg.png</a></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chatlayer.ai/chatlayer-documentation-pt-br/channels/sinch-conversation-api-beta.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
